Subject: Re: bug#19145: 24.4; prettify-symbols-mode inconsistent behavior

From: Ted Zlatanov <[email-masked]>
Date: Tue, 25 Nov 2014 13:53:59 -0500

On Tue, 25 Nov 2014 12:36:28 -0500 Stefan Monnier <[email-masked]> wrote: 

>> But that would require some special adaptation because it wouldn't work
>> in reverse. IOW, how do you propose to preserve the current behavior of
>> the prettified symbol "delta" while also allowing for the regex "delta"?

SM> We could allow elements of the form (REGEXP CHARACTER PREDICATE)
SM> instead of only (STRING . CHARACTER) in p-s-alist.

OK, that would work and be backwards compatible.  Do you want me to
attempt it?

Ted